Name:		osmctools
Version:	0.9
Release:	%mkrel 2
Summary:	Tools to manipulate OpenStreetMap files
# Debian man pages are GPLv2+
License:	AGPLv3 and GPLv2+
Group:		File tools
URL:		https://gitlab.com/osm-c-tools/osmctools
Source0:	https://gitlab.com/osm-c-tools/osmctools/-/archive/%{version}/%{name}-%{version}.tar.gz
# Man pages from Debian
Source1:	osmconvert.1
Source2:	osmfilter.1
Source3:	osmupdate.1
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gcc
BuildRequires:	pkgconfig(zlib)

Requires:	rsync
Requires:	wget

%description
Small collection of basic OpenStreetMap tools, include converter, filter and
updater files.

Programs include:
* osmconvert - Converter of OSM files
* osmfilter - The experimental OSM filters data
* osmupdate - Update OSM files.

%prep
%autosetup

%build
autoreconf -fvi
%configure
%make_build

%install
%make_install

# Install man pages
install -d %{buildroot}%{_mandir}/man1/
for i in %{SOURCE1} %{SOURCE2} %{SOURCE3}; do
  install -p -m 0644 ${i} %{buildroot}%{_mandir}/man1/
done

%files
%license COPYING
%doc AUTHORS README.md
%{_bindir}/osmconvert
%{_bindir}/osmfilter
%{_bindir}/osmupdate
%{_mandir}/man1/osmconvert.1*
%{_mandir}/man1/osmfilter.1*
%{_mandir}/man1/osmupdate.1*


%changelog
* Thu Sep 17 2020 daviddavid <daviddavid> 0.9-2.mga8
+ Revision: 1628229
- add missing dependency on rsync

* Thu Sep 17 2020 daviddavid <daviddavid> 0.9-1.mga8
+ Revision: 1628167
- initial package osmctools

